POST api/badgemappingapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeMappingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| source_code | string |
String length: inclusive between 0 and 30 |
|
| target_code | string |
String length: inclusive between 0 and 30 |
|
| description | string |
String length: inclusive between 0 and 80 |
|
| application_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "57fcf01c-22f0-4f77-a53c-c05395494433",
"site_id": "20fa7398-0e9f-4b8c-aa31-a5a5784bd019",
"source_code": "sample string 3",
"target_code": "sample string 4",
"description": "sample string 5",
"application_date": "2026-09-25T09:11:13.4115758+00:00"
}
application/xml, text/xml
Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <application_date>2026-09-25T09:11:13.4115758+00:00</application_date> <description>sample string 5</description> <id>57fcf01c-22f0-4f77-a53c-c05395494433</id> <site_id>20fa7398-0e9f-4b8c-aa31-a5a5784bd019</site_id> <source_code>sample string 3</source_code> <target_code>sample string 4</target_code> </badgemapping>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"70ed3728-ebe7-4c22-a3f8-d3402e34b29b"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">70ed3728-ebe7-4c22-a3f8-d3402e34b29b</guid>